ICombinedFragment

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.change_vision.jude.api.inf.model
Interface ICombinedFragment

    com.change_vision.jude.api.inf.model.ICombinedFragment

All Implemented Interfaces:
  IElement, IHyperlinkOwner, IInteractionFragment, INamedElement

public ICombinedFragment
extends IInteractionFragment

Interface for Combined fragments.

Field Summary

Fields inherited from class com.change_vision.jude.api.inf.model.INamedElement
`PACKAGE_VISIBILITY, PRIVATE_VISIBILITY, PROTECTED_VISIBILITY, PUBLIC_VISIBILITY`

Method Summary
`abstract IInteractionOperand[]` | `getInteractionOperands()` Get Interaction operands.
`abstract boolean` | `isAlt()` Check if the type is "alt".
`abstract boolean` | `isAssert()` Check if the type is "assert".
`abstract boolean` | `isBreak()` Check if the type is "break".
`abstract boolean` | `isConsider()` Check if the type is "consider".
`abstract boolean` | `isCritical()` Check if the type is "critical".
`abstract boolean` | `isIgnore()` Check if the type is "ignore".
`abstract boolean` | `isLoop()` Check if the type is "loop".
`abstract boolean` | `isNeg()` Check if the type is "neg".
`abstract boolean` | `isOpt()` Check if the type is "opt".
`abstract boolean` | `isPar()` Check if the type is "par".
`abstract boolean` | `isSeq()` Check if the type is "seq".
`abstract boolean` | `isStrict()` Check if the type is "strict".

Methods inherited from class com.change_vision.jude.api.inf.model.INamedElement
`getAlias1, getAlias2, getClientDependencies, getConstraints, getDefinition, getDiagrams, getName, getSupplierDependencies, isPackageVisibility, isPrivateVisibility, isProtectedVisibility, isPublicVisibility, setAlias1, setAlias2, setDefinition, setName, setVisibility`

Methods inherited from class com.change_vision.jude.api.inf.model.IElement
`addStereotype, getComments, getId, getOwner, getStereotypes, getTaggedValues, getTypeModifier, isReadOnly, removeStereotype, setTypeModifier`

Methods inherited from class com.change_vision.jude.api.inf.model.IHyperlinkOwner
`createElementHyperlink, createFileHyperlink, createURLHyperlink, deleteHyperlink, getHyperlinks`

Method Detail

### getInteractionOperands

    public abstract IInteractionOperand[] getInteractionOperands()

  Get Interaction operands.

  Returns:
    Interaction operands.

### isAlt

    public abstract boolean isAlt()

  Check if the type is "alt".

  Returns:
    true the type is "alt" / the type is not "alt"

### isAssert

    public abstract boolean isAssert()

  Check if the type is "assert".

  Returns:
    true the type is "assert" / the type is not "assert"

### isBreak

    public abstract boolean isBreak()

  Check if the type is "break".

  Returns:
    true the type is "break" / the type is not "break"

### isConsider

    public abstract boolean isConsider()

  Check if the type is "consider".

  Returns:
    true the type is "consider" / the type is not "consider"

### isCritical

    public abstract boolean isCritical()

  Check if the type is "critical".

  Returns:
    true the type is "critical" / the type is not "critical"

### isIgnore

    public abstract boolean isIgnore()

  Check if the type is "ignore".

  Returns:
    true the type is "ignore" / the type is not "ignore"

### isLoop

    public abstract boolean isLoop()

  Check if the type is "loop".

  Returns:
    true the type is "loop" / the type is not "loop"

### isNeg

    public abstract boolean isNeg()

  Check if the type is "neg".

  Returns:
    true the type is "neg" / the type is not "neg"

### isOpt

    public abstract boolean isOpt()

  Check if the type is "opt".

  Returns:
    true the type is "opt" / the type is not "opt"

### isPar

    public abstract boolean isPar()

  Check if the type is "par".

  Returns:
    true the type is "par" / the type is not "par"

### isSeq

    public abstract boolean isSeq()

  Check if the type is "seq".

  Returns:
    true the type is "seq" / the type is not "seq"

### isStrict

    public abstract boolean isStrict()

  Check if the type is "strict".

  Returns:
    true the type is "strict" / the type is not "strict"

Overview | Package | Class | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD